QGIS Application - Bug report #12725
GRASS datasources always have absolute paths in QGIS project
2015-05-09 01:34 AM - Joeri Theelen

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.1 Regression?: No
Operating System: MS Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20826
Description

I've noticed that in a QGIS project with "Save paths" set to "relative”, datasources are still absolute for GRASS datasets. After editing the
QGIS project file making the absolute paths relative, the QGIS project remains valid with regard to the GRASS datasets (the relative
paths are resolved and the GRASS datasets are found). But the next QGIS project save, these GRASS dataset paths are turned absolute
again. This is annoying. Please fix this.

Associated revisions

Revision e5dbd186 - 2015-05-09 09:55 PM - Jiirgen Fischer

grass: fix relative path support for working database and vector layers (fixes #12725)

Revision 3dd8008a - 2015-05-28 12:11 AM - Jiirgen Fischer

grass: fix relative path support for working database and vector layers (fixes #12725)

(cherry picked from commit e5dbd186d8f185174ac5fc8fd152e586aa9925f0)

History

#1 - 2015-05-09 12:59 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"e5dbd186d8f185174ac5fc8fd152e586aa9925f0".
